TokyoTyrant::setMaster
TokyoTyrant::stat
TokyoTyrant
PHP Manual

# TokyoTyrant::size

(PECL tokyo_tyrant >= 0.1.0)

TokyoTyrant::size — Retourne la taille de la valeur

### Description

public int TokyoTyrant::size ( string `$key` )

Retourne la taille d'une valeur.

### Liste de paramètres

`key`

  La clé correspondant à la valeur à vérifier.

### Valeurs de retour

Retourne la taille de la valeur ou lance une exception TokyoTyrantException si une erreur survient.

### Exemples

Exemple #1 Exemple avec TokyoTyrant::size()

`<?php
$tt = new TokyoTyrant("localhost");
$tt->put("test_key", "12345");
echo $tt->size("test_key");
?>`

L'exemple ci-dessus va afficher :

    5

TokyoTyrant::setMaster
TokyoTyrant::stat
TokyoTyrant
PHP Manual